import { DeepReadonlyObject, Entity, IEngine, PBVideoPlayer } from '@dcl/ecs';
interface VideoPlayerControls {
    play(): void;
    pause(): void;
    restart(): void;
    setVolume(volume: number): void;
    setSource(url: string): void;
    setLoop(loop: boolean): void;
}
export declare function getAdminToolkitVideoControl(engine: IEngine): DeepReadonlyObject<import("@dcl/ecs").MapResult<{
    isEnabled: import("@dcl/ecs").ISchema<boolean>;
    disableVideoPlayersSound: import("@dcl/ecs").ISchema<boolean>;
    showAuthorOnVideoPlayers: import("@dcl/ecs").ISchema<boolean>;
    linkAllVideoPlayers: import("@dcl/ecs").ISchema<boolean>;
    videoPlayers: import("@dcl/ecs").ISchema<import("@dcl/ecs").MapResult<{
        entity: import("@dcl/ecs").ISchema<number>;
        customName: import("@dcl/ecs").ISchema<string>;
    }>[] | undefined>;
}>> | null;
export declare function getVideoPlayers(engine: IEngine): DeepReadonlyObject<import("@dcl/ecs").MapResult<{
    entity: import("@dcl/ecs").ISchema<number>;
    customName: import("@dcl/ecs").ISchema<string>;
}>>[];
export declare function createVideoPlayerControls(entity: Entity, engine: IEngine): VideoPlayerControls;
export declare function useSelectedVideoPlayer(engine: IEngine): [Entity, DeepReadonlyObject<PBVideoPlayer>] | null;
export {};
